Subject: Re: bug#22616: 25.0.50; Change to lm-header breaks lm-header-multiline

From: Artur Malabarba <[email-masked]>
Date: Mon, 09 May 2016 02:13:24 +0000

IIRC, I made this change because the previous behaviour caused
`package-install-from-buffer' to move point. Since I saw no reason for
lm-header to move point, I fixed the issue at its roots.
Clearly, we've found a reason now. So the save excursion should be removed
from the latter function to the former.

On Sun, 8 May 2016 8:52 pm Dmitry Gutov, <[email-masked]> wrote:

> Arthur,
>
> could you look into this one? And at the bug#22510 merged with it.
>
> Do you remember why you made this change?
>
> On 02/10/2016 06:17 PM, Jonas Bernoulli wrote:
> > Starting with bf3f6a961f378f35a292c41c0bfbdae88ee1b1b9 `lm-header's body
> > is wrapped with `save-excursion', but `lm-header-multiline' only works
> > properly if `lm-header' doesn't do that.
> >
> > In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.25)
> >  of 2016-01-28 built on hal
> > Repository revision: 9be8a2fb41043b4d4734a67f155d6923df10671b
>